VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form DirectoryTransfer 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Directory File List Transfer"
   ClientHeight    =   5265
   ClientLeft      =   150
   ClientTop       =   780
   ClientWidth     =   11085
   Icon            =   "DirectoryTransfer.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5265
   ScaleWidth      =   11085
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtThisPath 
      Height          =   375
      Left            =   2760
      TabIndex        =   10
      Text            =   "Text1"
      Top             =   5640
      Width           =   615
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   2040
      Top             =   5640
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CheckBox chkNoDirectories 
      Alignment       =   1  'Right Justify
      Caption         =   "Do Not Include Directories"
      Height          =   195
      Left            =   7680
      TabIndex        =   9
      Top             =   120
      Width           =   2175
   End
   Begin VB.TextBox txtExt 
      Height          =   285
      Left            =   4320
      TabIndex        =   7
      Top             =   120
      Width           =   735
   End
   Begin VB.CheckBox ChkAddFiles 
      Alignment       =   1  'Right Justify
      Caption         =   "Do Not Add More Files"
      Height          =   195
      Left            =   5400
      TabIndex        =   6
      Top             =   120
      Width           =   1935
   End
   Begin VB.ListBox lstAllFiles 
      Height          =   4350
      Left            =   7320
      TabIndex        =   4
      Top             =   720
      Width           =   3500
   End
   Begin VB.DirListBox Dir1 
      Height          =   4365
      Left            =   120
      TabIndex        =   1
      Top             =   720
      Width           =   3500
   End
   Begin VB.FileListBox File1 
      Height          =   4380
      Left            =   3720
      TabIndex        =   0
      Top             =   720
      Width           =   3500
   End
   Begin VB.Label Label5 
      Caption         =   "File Extension To Transfer to All Files List or blank for all "
      Height          =   195
      Left            =   120
      TabIndex        =   8
      Top             =   120
      Width           =   4215
   End
   Begin VB.Label Label1 
      Caption         =   "All Files List"
      Height          =   255
      Left            =   7320
      TabIndex        =   5
      Top             =   480
      Width           =   1095
   End
   Begin VB.Label Label3 
      Caption         =   "Selected Directory Files"
      Height          =   255
      Left            =   3720
      TabIndex        =   3
      Top             =   480
      Width           =   1815
   End
   Begin VB.Label Label2 
      Caption         =   "Directory Path"
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   480
      Width           =   1335
   End
   Begin VB.Menu mnuTransferDirectoryListing 
      Caption         =   "Save All Files List"
   End
   Begin VB.Menu mnuClearAllFilesList 
      Caption         =   "Clear All Files List"
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "Help"
   End
   Begin VB.Menu mnuAbout 
      Caption         =   "About"
   End
End
Attribute VB_Name = "DirectoryTransfer"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Form_Activate()
  txtThisPath.Text = Dir1.Path
  Dir1.Path = ""
  File1.Path = Dir1.List(Dir1.ListIndex)
  lstAllFiles.Refresh
End Sub

Private Sub Dir1_click()
  File1.Path = Dir1.List(Dir1.ListIndex)
  File1.Refresh
  txtExt.Refresh
  If ChkAddFiles.Value = 0 Then
    If chkNoDirectories.Value = 0 Then
      lstAllFiles.AddItem File1.Path
    End If
    If txtExt.Text = "" Then
      ThisIndex = ThisIndex + 1
      Do While File1.List(ThisIndex) <> ""
        lstAllFiles.AddItem File1.List(ThisIndex)
        ThisIndex = ThisIndex + 1
      Loop
      lstAllFiles.TopIndex = lstAllFiles.ListCount - 1
    End If
    If txtExt.Text <> "" Then
      ThisIndex = ThisIndex + 1
      Do While File1.List(ThisIndex) <> ""
        If Right(File1.List(ThisIndex), 3) = txtExt.Text Then
          lstAllFiles.AddItem File1.List(ThisIndex)
        End If
        ThisIndex = ThisIndex + 1
      Loop
      lstActions.TopIndex = lstActions.ListCount - 1
    End If
  End If
End Sub

Private Sub mnuAbout_Click()
  Message$ = ""
  About$ = ""
  eol = Chr(10) & Chr(13)
  Open DirectoryTransfer.txtThisPath.Text & "\DirectoryFileList.vbp" For Input As #2
  Do While Not EOF(2)
    Line Input #2, ThisLine$
    If InStr(ThisLine$, "Title") > 0 Then
      About$ = "This Software " & ThisLine$
    End If
    If InStr(ThisLine$, "VersionComments") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionCompanyName") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "MajorVer") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "MinorVer") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "RevisionVer") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionDescription") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionLegalCopyright") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionLegalTrademarks") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionProductName") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionFileDescription") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
  Loop
  Close #2
  Prompt$ = ""
  reply = MsgBox(Message$, vbOKOnly, About$)
End Sub

Private Sub mnuClearAllFilesList_Click()
 lstAllFiles.Clear
End Sub

Private Sub mnuHelp_Click()
  DirectoryListHelp.Show
End Sub

Private Sub mnuTransferDirectoryListing_Click()
  On Error GoTo errhandler
  CommonDialog1.CancelError = True
  Dim P(1) As String
  tb = Chr(9)
  CommonDialog1.FileName = "*.txt"
  CommonDialog1.Filter = "*.txt |*.txt"
  CommonDialog1.FileName = "FileList.txt"
  CommonDialog1.InitDir = ""
  CommonDialog1.ShowSave
  TransferFile = (CommonDialog1.FileName)
  If Right(TransferFile, 12) <> "FileList.txt" Then
    Msg = "File Name not FileList.txt Do you want to continue ?"
    Title = "File List data transfer"
    Style = vbYesNo + vbCritical + vbDefaultButton2
    Response = MsgBox(Msg, Style, Title)
    If Response = vbNo Then
      Exit Sub
    End If
  End If
  Open TransferFile For Output As #2
  ThisIndex = 0
  Do While lstAllFiles.List(ThisIndex) <> ""
    Print #2, lstAllFiles.List(ThisIndex)
    ThisIndex = ThisIndex + 1
  Loop
  Close #2
errhandler:
End Sub



